VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Attributes
vmware::vcenter::vm::hardware::DiskTypes Class Reference

Defines the data types of the Disk API service. More...

List of all members.

## Classes
class | BackingInfo
| The `Disk.BackingInfo` class contains information about the physical resource backing a virtual disk. More...
class | BackingSpec
| The `Disk.BackingSpec` class provides a specification of the physical resource backing a virtual disk. More...
class | BackingType
| The `Disk.BackingType` enumerated type defines the valid backing types for a virtual disk. More...
class | CreateSpec
| The `Disk.CreateSpec` class provides a specification for the configuration of a newly-created virtual disk. More...
class | HostBusAdapterType
| The `Disk.HostBusAdapterType` enumerated type defines the valid types of host bus adapters that may be used for attaching a virtual storage device to a virtual machine. More...
class | Info
| The `Disk.Info` class contains information about a virtual disk. More...
class | Summary
| The `Disk.Summary` class contains commonly used information about a virtual disk. More...
class | UpdateSpec
| The `Disk.UpdateSpec` class describes the updates to be made to the configuration of a virtual disk. More...
class | VmdkCreateSpec
| The `Disk.VmdkCreateSpec` class provides a specification for creating a new VMDK file to be used as a backing for a virtual disk. More...
## Static Public Attributes
static readonly string | RESOURCE_TYPE = "com.vmware.vcenter.vm.hardware.Disk"
| Resource type for the virtual disk.

## Detailed Description

Defines the data types of the Disk API service.

## Member Data Documentation

readonly string vmware::vcenter::vm::hardware::DiskTypes::RESOURCE_TYPE = "com.vmware.vcenter.vm.hardware.Disk"`[static]`

Resource type for the virtual disk.

The documentation for this class was generated from the following file:

- DiskTypes.cs